Lookup a vehicle (External Identifier)

Purpose: Use this API to search for a vehicle using its external identifier that is assigned by a third-party system.

šŸ“˜

NOTE

An external ID is associated with an integration. You must mention both the external_id and the integration_name, as the system will use the information to pull out the relevant vehicle details.

This endpoint will fetch the details of the vehicle such as:

  • status
  • license number
  • make
  • fuel type used
  • vehicle gateway details (if assigned)
  • driver details

Response Parameters

vehicle

  • Type: Object
  • Description: Contains the details of the vehicle.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle.

company_id

  • Type: Integer
  • Description: The unique identifier for the company associated with the vehicle.

number

  • Type: String
  • Description: The name or number of the vehicle.

status

  • Type: String
  • Description: The current status of the vehicle (e.g., active).

ifta

  • Type: Boolean
  • Description: Indicates whether the vehicle is subject to IFTA (International Fuel Tax Agreement).

vin

  • Type: String
  • Description: The Vehicle Identification Number.

make

  • Type: String
  • Description: The make of the vehicle.

model

  • Type: String
  • Description: The model of the vehicle.

year

  • Type: String
  • Description: The year of manufacture of the vehicle.

license_plate_state

  • Type: String
  • Description: The state where the vehicle's license plate is registered.

license_plate_number

  • Type: String
  • Description: The license plate number of the vehicle.

metric_units

  • Type: Boolean
  • Description: Indicates whether the vehicle uses metric units.

fuel_type

  • Type: String
  • Description: The type of fuel used by the vehicle (e.g., diesel).

prevent_auto_odometer_entry

  • Type: Boolean
  • Description: Indicates whether automatic odometer entries are prevented.

created_at

  • Type: String (DateTime)
  • Description: The timestamp when the vehicle was created.

updated_at

  • Type: String (DateTime)
  • Description: The timestamp when the vehicle details were last updated.

eld_device

  • Type: Object
  • Description: Contains details about the vehicle gateway associated with the vehicle.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle gateway.

identifier

  • Type: String
  • Description: The identifier of the vehicle gateway.

model

  • Type: String
  • Description: The model of the vehicle gateway.

current_driver

  • Type: Object
  • Description: Contains details about the current driver of the vehicle.

id

  • Type: Integer
  • Description: The unique identifier for the driver.

first_name

  • Type: String
  • Description: The first name of the driver.

last_name

  • Type: String
  • Description: The last name of the driver.

username

  • Type: String
  • Description: The username of the driver.

email

  • Type: String
  • Description: The email address of the driver (if available).

driver_company_id

  • Type: Integer
  • Description: The unique identifier for the company associated with the driver (if available).

status

  • Type: String
  • Description: The current status of the driver (e.g., active).

role

  • Type: String
  • Description: The role of the current user. (e.g., driver).

external_ids

  • Type: Array
  • Description: An array of external identifiers associated with the vehicle.

carb_ctc_test_enabled

  • Type: String
  • Description: Indicates whether CARB Clean Truck Check (CTC) testing is enabled for the vehicle.

carb_ctc_emission_status

  • Type: String
  • Description: Represents the vehicle’s CARB Clean Truck Check emission compliance status.

registration_expiry_date

  • Type: String (Date) or null
  • Description: The vehicle’s registration expiration date in YYYY-MM-DD format. Returns null if the registration date is not available.

Query Params
int32
required

The unique identifier assigned to the external ID.

string
required

Specify the external id of the vehicle. This ID is assigned by a third-party integration or a tool.

string
required

Mention the name of the integration that assigned the external Id to the vehicle.

Headers
string

X-Time-Zone

boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json